mysql_get_proto_info
mysql_info
MySQL Functions
PHP Manual

# mysql_get_server_info

(PHP 4 >= 4.0.5, PHP 5)

mysql_get_server_info — Get MySQL server info

Warning

This extension is deprecated as of PHP 5.5.0, and will be removed in the future. Instead, the MySQLi or PDO_MySQL extension should be used. See also MySQL: choosing an API guide and related FAQ for more information. Alternatives to this function include:

- mysqli_get_server_info()
- PDO::getAttribute(PDO::ATTR_SERVER_VERSION)

### Description

string mysql_get_server_info ([ resource `$link_identifier` = NULL ] )

Retrieves the MySQL server version.

### Parameters

`link_identifier`

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() was called with no arguments. If no connection is found or established, an `E_WARNING` level error is generated.

### Return Values

Returns the MySQL server version on success or `FALSE` on failure.

### Examples

Example #1 mysql_get_server_info() example

`<?php
$link = mysql_connect('localhost', 'mysql_user', 'mysql_password');
if (!$link) {
die('Could not connect: ' . mysql_error());
}
printf("MySQL server version: %s\n", mysql_get_server_info());
?>`

The above example will output something similar to:

    MySQL server version: 4.0.1-alpha

### See Also

- mysql_get_client_info() - Get MySQL client info
- mysql_get_host_info() - Get MySQL host info
- mysql_get_proto_info() - Get MySQL protocol info
- phpversion() - Gets the current PHP version

mysql_get_proto_info
mysql_info
MySQL Functions
PHP Manual